# Quick Start

To get started, try simulating a transaction without setting an API key.

```bash
curl -XPOST https://trykoi.com/api/v1/optimism/tx/simulate -H 'Content: application/json' -d '{
  "tx": {
    "from":"0x9eef87f4c08d8934cb2a3309df4dec5635338115",
    "to":"0x76FB31fb4af56892A25e32cFC43De717950c9278",
    "data":"0x095ea7b300000000000000000000000068b3465833fb72a70ecdf485e0e4c7bd8665fc45ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff"
  }
}' | jq .
```

You should get a response like...

```javascript
{
  "stateChanges": [
    {
      "type": "erc20-approval",
      "data": {
        "owner": "0x9eEf87f4C08d8934cB2a3309dF4deC5635338115",
        "spender": "0x68b3465833fb72A70ecDF485E0e4C7bD8665Fc45",
        "amount": "115792089237316195423570985008687907853269984665640564039457584007913129639935"
      },
      "logIndex": 0,
      "contract": "0x76FB31fb4af56892A25e32cFC43De717950c9278",
      "asset": {
        "chainId": 10,
        "address": "0x76FB31fb4af56892A25e32cFC43De717950c9278",
        "name": "Aave Token",
        "symbol": "AAVE",
        "decimals": 18,
        "logoURI": "https://ethereum-optimism.github.io/data/AAVE/logo.svg",
        "extensions": {
          "optimismBridgeAddress": "0x4200000000000000000000000000000000000010"
        },
        "tokenType": "ERC20"
      },
      "summary": {
        "text": "0x9eEf87f4C08d8934cB2a3309dF4deC5635338115 approved 0x68b3465833fb72A70ecDF485E0e4C7bD8665Fc45 to spend Infinite AAVE"
      }
    }
  ],
  "relevantAddresses": [
    {
      "address": "0x9eef87f4c08d8934cb2a3309df4dec5635338115"
    },
    {
      "address": "0x76FB31fb4af56892A25e32cFC43De717950c9278"
    },
  ],
  "warnings": [],
  "gasUsed": "27338"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trykoi.com/quick-start.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
